// Función para recoger los datos de PHP según el navegador, se usa siempre.
function objetoAjax(){
	var xmlhttp=false;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
 
	try {
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	} catch (E) {
		xmlhttp = false;
	}
}
 
if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
	  xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}


		$(document).ready(function(){
			load(1);
		});

		function load(page){
			var q= $("#q").val();
			$("#loader").fadeIn('slow');
			$.ajax({
				url:'./ajax/productos_despacho.php?action=ajax&page='+page+'&q='+q,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		}

	function agregar (id)
		{
			var cantidad=document.getElementById('cantidad_'+id).value;
			//Inicia validacion
			if (isNaN(cantidad))
			{
			alert('Esto no es un numero');
			document.getElementById('cantidad_'+id).focus();
			return false;
			}
			
			//Fin validacion
			
			$.ajax({
        type: "POST",
        url: "./ajax/agregando_despacho.php",
        data: "id="+id+"&cantidad="+cantidad,
		 beforeSend: function(objeto){
			$("#resultados").html("Mensaje: Cargando...");
		  },
        success: function(datos){
		$("#resultados").html(datos);
		}
			});
		}
		
		
		
		function eliminar (id)
		{
			
			$.ajax({
        type: "GET",
        url: "./ajax/agregando_despacho.php",
        data: "id="+id,
		 beforeSend: function(objeto){
			$("#resultados").html("Mensaje: Cargando...");
		  },
        success: function(datos){
		$("#resultados").html(datos);
		}
			});

		}
		 
 
			
		$("#datos_despacho").submit(function(){
		  var id_vendedor = $("#id_vendedor").val();
		  var destino = $("#destino").val();
		  var condiciones = $("#condiciones").val();
		  
		 
		   window.open('./ajax/procesar_factura.php?destino='+destino+'&id_vendedor='+id_vendedor+'&condiciones='+condiciones,'_self');

	 	});
		
		
	

	$( "#cod" ).submit(function( event ) {
  $('#actualizar_datos_codigo').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/editar_codigo.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax_cod").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados").load(1);
			$("#resultados_ajax_cod").html(datos);
			$('#actualizar_datos_codigo').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})
